| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iComponent Struct Reference
[Shared Class Facility (SCF)]

This interface describes a generic component in Crystal Space. More...

`#include <iutil/comp.h>`

Inheritance diagram for iComponent:

[legend]
List of all members.

## Public Member Functions
virtual bool | Initialize (iObjectRegistry *)=0
| Initialize the component.

## Detailed Description

This interface describes a generic component in Crystal Space.

Main creators of instances implementing this interface:

- All plugins implement this interface.

Main ways to get pointers to this interface:

- SCF_QUERY_INTERFACE() from a plugin instance.

Main users of this interface:

- csPluginManager

Definition at line 44 of file comp.h.

## Member Function Documentation

virtual bool iComponent::Initialize | ( | iObjectRegistry * |  | ) | `[pure virtual]`

Initialize the component.

This is automatically called by system driver at startup so that plugin can do basic initialization stuff, register with the system driver and so on.

Implemented in csGraphics2D, csGraphics2DGLCommon, csBaseRenderStepLoader, csBaseRenderStepType, and csMeshType.

The documentation for this struct was generated from the following file:

- iutil/comp.h